Introducing Draft IT
Top Next

Draft IT is a powerful 2D Computer Aided Design system allowing all users at home or in the office to create technical drawings quickly and easily.

This is a free of charge program the available from the CADlogic website. An enhanced version (Draft IT PLUS) can also be downloaded for a small cost.

This help system contains assistance for all commands in Draft IT and Draft IT PLUS, the Draft IT PLUS commands are clearly marked.

Quick Help

Use the links below to jump to the help topics for the more commonly used commands.

SYSTEM TOOLBAR BUTTONS |  | DRAW BUTTONS |  | MODIFY BUTTONS
 | NEW |  | ARC |  | MOVE
 | OPEN |  | CIRCLE |  | COPY
 | SAVE |  | LINE |  | MIRROR
 | PRINT |  | RECTANGLE |  | RECTANGULAR ARRAY
 | PRINT PREVIEW |  | ELLIPSE |  | POLAR ARRAY
 | UNDO |  | AREA FILL |  | ROTATE
 | REDO |  | HATCH |  | SCALE
 | GRID |  | INSERT IMAGE |  | STRETCH
 | ZOOM IN |  | INSERT SYMBOL |  | TRIM/EXTEND
 | ZOOM OUT |  | TEXT |  | OFFSET
 | ZOOM PREVIOUS |  | LINEAR DIMENSION |  | FILLET
 | ZOOM NEXT |  | DIAMETER DIMENSION |  | CHAMFER
 | ZOOM WINDOW |  | RADIAL DIMENSION |  |
 | ZOOM FULL SHEET |  | ANGULAR DIMENSION |  |
 | ZOOM EXTENTS |  | LEADER ARROW |  |
 | REFRESH |  | DOUBLE ENDED ARROW |  |
 | HELP |  |  |  |
 | SNAP |  |  |  |
 | X, Y |  |  |  |
 | POLAR |  |  |  |
 | DISTANCE |  |  |  |
 | SCALE FACTOR |  |  |  |


How To
Previous Top Next

The topics here each describe how to perform basic operations in Draft IT.

Select Items

Modify Items

Use Snaps and Input Options

Use the Properties Toolbar

Cancel a command


Select Items

Selecting items within Draft IT is a straightforward process. Single and multiple selections are possible and items can be added to and removed from the current 'selection set' (see below).

The Selection Set
The Selection Set is defined as the items currently selected. The colour of these items will be temporarily changed to the Draft IT highlight colour [image] (pale orange) and the entity handles will be displayed providing the Entity Selection Limit for Handle Display has not been exceeded.

Selecting a single item
Simply left click on the required item when the cursor is placed over it. The display of the selected item is then changed to the highlight colour. Clicking on another item will clear the current 'selection set' and select the new item clicked.

Clearing the selection set
The 'selection set' is cleared by executing a left mouse click in a clear area of the drawing.

Selecting items within a box
To select items within a rectangular box requires two opposing corners of an imaginary box to be indicated within the drawing area. Simply click and hold down the mouse button to indicate the first point of the box, a rectangle will then dynamically follow the cursor as it is moved. (If moved to the right a solid (window) box will be displayed, to the left a dotted (crossing) box is shown.) Release the mouse button at the opposing corner to define the box.

The items selected by the box will depend upon whether the box was solid (window) or dotted (crossing). If solid then only items completely within the window box will be selected, if dotted then any item passing through the crossing box in whole or in part will be selected.

The picture here shows the affect of using the different types of selection box. The selection areas are the same size and relative position but because the points are picked differently you will see in window selection box that only the left vertical line and the two left most circles are highlighted. However on the crossing selection box more entities are highlighted because any items passing through the box are selected.

Selection Set - adding and removing items
The 'Shift' and 'Control' keyboard buttons can be used to add and remove items from the selection set.

Holding down the 'Shift' key always adds items to the selection set. .i.e. Holding down 'Shift' and clicking on an item adds that item to the selection, if the item is already selected, nothing changes. If selecting items within a box then any not already picked are added, whilst previously selected items are retained.

Holding down the 'Control' key always toggles items in to or out of the selection set. i.e. Holding down ''Control' and clicking on an item adds it to the selection if the item is not already picked, otherwise if already selected the item is removed. If selecting items within a box then any items not already picked are added, whilst previously selected items are removed.


Modify Items

Once created any Draft IT entity can be modified by simply selecting it. The editing options are dependent upon the entity or entities selected. For help on selecting single or multiple entities click here.

Once selected the Property Toolbar changes to show the properties of the entity and these can be changed accordingly.

In general once an entity or entities are selected they are highlighted and the system displays the 'handles' for each entity. There are two types of handle, Major and Minor. Major handles are coloured red and control the position of an entity, Minor handles are blue and are slightly smaller than the Major handles. Minor handles change the size or stretch an entity.

The links below show how specific entity types are edited with handles.

Modifying/Moving a Line

Modifying/Moving an Arc

Modifying/Moving a Circle

Modifying/Moving Text

Modifying/Moving a Dimension

Modifying/Moving Multiple Entities


Modifying/Moving a Line

When a single line is selected its entity handles are displayed. Once you have selected the line the editing choices are to either Delete, modify the properties using the Properties Toolbar or to move one of the entity handles.

A line has three entity handles, one at each end (blue) and one at its midpoint (red). Move the cursor over any of the handles and its colour changes to yellow then simply click to select it. If selected the major handle (red) attaches the whole line to the cursor allowing it to be moved to a new position and clicked into place using any of the snaps and input options. (Alternatively select the Move command.) If either of the minor handles at each endpoint is selected that endpoint is attached to the cursor and the other end remains in place, the endpoint selected can be moved to a new position and clicked into place using any of the snaps and input options.

In the simulation here the line is already selected. You can practice selecting any of the handles and dragging and clicking into new positions.

The new position of the end point can be selected using any of the snaps and input options however in the simulation it doesn't include these options. Also when moving a line endpoint as shown above it is also possible to hold down the 'SHIFT' key to maintain the line angle allowing only the length to be altered.


Modifying/Moving an Arc

When a single arc is selected its entity handles are displayed. Once you have selected the arc the editing choices are to either Delete, modify the properties using the Properties Toolbar or to move one of the entity handles.

An arc has three entity handles, one at each end (blue) and one at its centre (red). Move the cursor over any of the handles and its colour changes to yellow then simply click to select it. If selected the major handle (red) attaches the whole arc to the cursor allowing it to be moved to a new position and clicked into place using any of the snaps and input options. (Alternatively select the Move command.) The minor handles at the endpoint's define the start and end angle of the arc. If one is selected it is attached to the cursor and moves with it changing the angle of that end as well as the radius, the other minor handle remains in place. The endpoint selected can be moved to a new position and clicked into place using any of the snaps and input options.

If the arc was drawn using the Circle command then when selected the start and end angle points are coincident. Clicking on the coincident handles will select the endpoint first as that point was added to the drawing after the start point and was therefore drawn on top.


Modifying/Moving Text

Text has one entity handle (red), this is placed at the justification point of the text. Once you have selected the text the editing choices are to either Delete, modify the properties using the Properties Toolbar or to move it via its entity handle.

Move the cursor over any of the handle and its colour changes to yellow then simply click to select it. Selecting this handle attaches the text to the cursor allowing it to be moved to a new position and clicked into place using any of the snaps and input options. (Alternatively select the Move command.)


Modifying/Moving Dimensions

When a dimension is selected its entity handles are displayed. Draft IT dimensions once placed on the drawing are in dependant of any geometry used in their creation (i.e. the circle selected when creating a diameter dimension). Once you have selected the dimension the editing choices are to either Delete it, Move the entire dimension, move one of the entity handles or to modify the properties using the Properties Toolbar . There are three types of dimension which are edited as follows:-

Linear

A linear dimension has three entity handles, one at the end of each leader line, the other at the location point of the dimension line, all of these are blue. Move the cursor over any of the handles and its colour changes to yellow then simply click to select it. If selected the dimension location handle attaches the dimension line and text to the cursor allowing a new position to be selected using any of the snaps and input options. If this is positioned between the two dimension points then the dimension text is placed centrally, if outside then the text is placed to the side selected. The leader lines are then altered to suit. If one of the leader line handles is selected it is attached to the cursor and can be moved to a new position and clicked into place using any of the snaps and input options. As the handle is moved the dimension value is recalculated to show the modified size.

In the simulation here the dimension has been pre selected. It allows you to select and move any of the handles, then simply click into place to accept the modified position.

Radial

A radial dimension has three entity handles, one at the centre of the arc/circle (red), one at a point defining the start of the arc/circle (blue) and the other at the dimension point (blue). Move the cursor over any of the handles and its colour changes to yellow then simply click to select it. A point to note here is that these handles are defined when the dimension is added to the drawing and the arc/circle is selected, after this they do not retain a relationship with the arc/circle so when any are moved the arc/circle remains untouched.

Select the centre handle (red) and the entire dimension is attached to the cursor allowing a new position to be selected using any of the snaps and input options. If the handle at the dimension point is selected it is attached to the cursor and can be moved to a new position around the arc/circle and clicked into place using any of the snaps and input options. (Alternatively select the Move command.) If the handle at the start of the arc/circle is selected it can be moved in and out from the arc/circle centre to a new position and clicked into place using any of the snaps and input options. As the handle is moved the dimension value is recalculated to show the modified size.

Angular

A 3 point angular dimension has four entity handles. One at the each of the three angle points including the corner point, the remaining handle is at the dimension location point, all of the handles are blue except the centre which is red . Move the cursor over any of the handles and its colour changes to yellow then simply click to select it. A point to note here is that these handles not linked to any geometry, only to the points selected when creating it.

Select the centre handle (red) and the entire dimension is attached to the cursor allowing a new position to be selected using any of the snaps and input options. (Alternatively select the Move command.) If the handle at the dimension point is selected the angular dimension arc and text are attached to the cursor and can be moved to a new position using any of the snaps and input options. If either of the handles controlling the angle are selected they can be moved to a new position and clicked into place using any of the snaps and input options recalculating the dimension value to show the modified angle.

Note Leader Arrows and Double Ended Arrows are modified/moved in exactly the same way as Modifying/Moving a Line.


Modifying/Moving Multiple Entities

Multiple entities can be modified and/or moved simultaneously in Draft IT. See Select Items for help on how to select multiple entities.

Once you have selected the entities required the entity handles are displayed and the editing choices are either to Delete, modify the common properties using the Properties Toolbar , or to move one or all of the entity handles. Move the cursor over any of the handles and its colour changes to yellow then simply click to select.

Because of the different handle sizes you can see when a major and minor handle are located in the same position (coincident). When such a 'double' handle is selected both of the descriptions below apply.

If a Minor (blue) handle is selected then only entities attached to that handle will be modified. As you move the cursor the entities attached to the handle will be stretched/redefined dynamically allowing you to see the effect of the modification before clicking into place using any of the snaps and input options.

If a Major (red) handle is selected then all** of the selection set is attached to the cursor allowing it to be moved to a new position and clicked into place using any of the snaps and input options. (Alternatively select the Move command.)

** Not in the case of a double handle, items connected to the minor handle will be stretched/redefined.


Use Snaps and Input Options

When creating and editing items Draft IT has a variety of ways to select screen positions (points) or to input/select co-ordinates. There are three main selections, the appearance of the system toolbar changes as follows.

Snap
When the button highlighted is selected positions on the drawing will be selected by snapping, (end-points, mid-points, centre points, grid-points, intersections etc.) The shortcut key is F7.

X, Y
When the button highlighted is selected positions on the drawing will be selected by X and Y co-ordinates. This allows X & Y co-ordinates to be specified relative to the current position.The shortcut key is F8 (toggles with 'Polar').

Polar
When the button highlighted is selected positions on the drawing will be selected by polar co-ordinates (angle and distance). This allows a polar point to be specified relative to the current position. The shortcut key is F8 (toggles with 'XY').

It is possible to change to any of the above three selections when creating/editing items. For example when drawing a line you can select the snap button and pick an existing point then change to X, Y and define the other end of the line using the dynamic dimensions displayed.

To find out more about the above use the following topic links.

Snap to points (end-points etc.)

X, Y use X & Y co-ordinates

Polar use an angle & distance

Distance only a distance required

In addition to the above Draft IT also allows Relative co-ordinate input for selection of positions relative to existing geometry.


The Origin Point

Every Draft IT drawing has an origin point (X0, Y0) at the bottom left hand corner of the Sheet Border. As the cursor moves over this position the origin Snap is displayed, this means that the point can be selected for the current drawing operation. The most likely use of the drawing origin point is as a reference point for 'Absolute co-ordinate' input. If you want to select a point in a particular command that is a set distance away from the origin make sure that the Snap input mode is current (use F7 to force this). Now the Relative co-ordinate Input method can be utilised, simply hold the cursor over the origin point briefly and as you move away dynamic X, Y dimensions are displayed (use F8 to toggle between X, Y & Polar). The reference is now relative to the origin so an absolute position can be set.


Snap

Snap (Shortcut keys: F7)
Previous Top Next

When the 'Snap' function is selected** as shown here [image] Draft IT will select a screen position for the next point from the following. You can use F7 to quickly select the 'Snap' option.

The symbols shown below are blue when the background colour is white. If the background colour is black then they are coloured yellow.

In the example below draw a line between any two points, as you browse over certain points you will be able to see the snaps available. Note for simplicity some snaps are not available in the simulation (perpendicular & tangent).

End-point - will be selected if the [image] symbol is displayed. If Snap Captions are switched ON the word 'End' will be displayed next to the cursor. Endpoint's are found on either end of a line, the corners of a rectangle, either end of a dimension arrow, the ends of an arc.

Mid-point - will be selected if the [image] symbol is displayed. If Snap Captions are switched ON the word 'Mid' will be displayed next to the cursor. Mid-points are found at the middle point on a line.

Centre-point - will be selected if the [image] symbol is displayed. If Snap Captions are switched ON the word 'Cen' will be displayed next to the cursor. Centre-points are found at the centre point of an arc or circle.

Intersection - will be selected if the [image] symbol is displayed. If Snap Captions are switched ON the word 'Int' will be displayed next to the cursor. Intersection points are found where arcs, circles and lines cross over.

Quadrant - will be selected if the [image] symbol is displayed. If Snap Captions are switched ON the word 'Quad' will be displayed next to the cursor. Quadrant points are found on circles and arcs at 0, 90, 180 and 270 degree positions (3 o'clock is 0).

Insertion-point - will be selected if the [image] symbol is displayed. If Snap Captions are switched ON the word 'Ins' will be displayed next to the cursor. Insertion points are found on the insertion point of a text string or a symbol.

Tangent - will be selected if the [image] symbol is displayed. If Snap Captions are switched ON the word 'Tan' will be displayed next to the cursor. The system will find a tangent snap when the cursor passes over a tangency position on an arc/circle (from the current point). This snap is only valid therefore if a current point exists i.e. selecting the second point when drawing a line.

Perpendicular - will be selected if the [image] symbol is displayed. If Snap Captions are switched ON the word 'Perp' will be displayed next to the cursor. The system will find a perpendicular snap when the cursor passes over a position an a line/arc/circle that is at a right angle to the current point. This snap is only valid therefore if a current point exists i.e. selecting the second point when drawing a line.

Grid-point - will be selected if the [image] symbol is displayed on the cursor if the 'Grid' button [image] is switched ON. If Snap Captions are switched ON the word 'Grid' will be displayed next to the cursor. See Grid Settings for information. When this is switched on the cursor 'jumps' between grid points and any of the other valid snaps, a 'free' cursor position cannot be selected without setting the 'Grid' button to OFF.

Origin - the drawing Origin will be selected if the [image] symbol is displayed. If Snap Captions are switched ON the word 'Origin' will be displayed next to the cursor.

Cursor point - will be selected if no symbol is displayed on the cursor and 'Grid' button [image] is switched OFF. A cursor point selects the current cursor co-ordinates.

The snap picked is simply the nearest to the cursor, if there are two in close proximity and the one required can't be found simply Zoom In and the snap point you require will be easier to identify.

** The toolbar is not displayed when adding dimensions however the snap selection process operates as described above.


X, Y Input

X, Y Input (Shortcut keys: F8)
Previous Top Next

When the 'X, Y' function is selected as shown here [image] Draft IT will select the next point using X & Y values of the current Units. These co-ordinates are measured as relative values from the previous point. If there is no previous position such as when defining the first point on a line then the values are measured from the drawing origin (X0, Y0) and no dynamic dimensions are displayed.

The X co-ordinate value is in the left hand box with the Y co-ordinate value in the right hand box. As you move the cursor the values are updated to reflect the values of the dynamic dimensions, simply click the left mouse button to accept the current screen position and therefore the values displayed.

Alternatively you can type in the values. Click in either the X or Y text field and you can edit the value as required (double click in the field to select the whole current value which can then be deleted or over typed as required). As soon as you type in either field Draft IT will lock [image] the field and cursor movement will be locked in that axis. You must click the button to unlock [image] if you wish to release the value. To accept the values typed into one or both boxes click the mouse when the cursor is within the drawing area. Both values are unlocked automatically as soon as the point is accepted.

Note: Shortcut key F8 quickly toggles the current input option between X, Y an Polar.

In the simulation here simply click two points to draw a line. After clicking the first point you can see the X and Y dynamic dimensions, click a second point to place the line then a third to clear the line and draw again.


Polar Input

Polar Input (Shortcut keys: F8)
Previous Top Next

When the 'Polar' function is selected as shown here [image] Draft IT will select the next point using polar values (Angle (A) & Length (L)) where zero degrees is at 3 o'clock. These co-ordinates are measured as relative values from the previous point. If there is no previous position such as when defining the first point on a line then the values are measured from the drawing origin (A0, L0) and no dynamic dimensions are displayed.

The Angle value is in the left hand box with the Length value in the right hand box. As you move the cursor the values are updated to reflect the values of the dynamic dimensions, simply click the left mouse button to accept the current screen position and therefore the values displayed.

Alternatively you can type in the values. Click in either the Angle or Length text field and you can edit the value as required (double click in the field to select the whole current value which can then be deleted or over typed as required). As soon as you type in either field Draft IT will lock [image] the field, locking the cursor movement accordingly. You must click the button to unlock [image] if you wish to release the value. To accept the values typed into one or both boxes click the mouse when the cursor is within the drawing area. Both values are unlocked automatically as soon as the point is accepted.

Note: Shortcut key F8 quickly toggles the current input option between X, Y an Polar.

In the simulation here simply click two points to draw a line. After clicking the first point you can see the Polar dynamic dimensions, click a second point to place the line then a third to clear the line and draw again.


Distance Input

On some commands (Offset, Fillet, Chamfer, Trim/Extend) an additional input option 'Distance' is available as shown here [image]. If displayed then Draft IT only requires a distance to be input and an updating dynamic dimension is displayed, moving with the cursor. Click to accept the current value.

Alternatively you can type in the value. Click in the input field and you can edit the value as required (double click in the field to select the whole current value which can then be deleted or over typed). As soon as you type in the field Draft IT will lock [image] the field and the dynamic dimension will be locked. You must click the button to unlock [image] if you wish release the value. To accept the value click the mouse when the cursor is within the drawing area. The value is unlocked automatically as soon as the point is accepted.

It is possible to switch between the 'Distance' [image] and Snap [image] input options as required (Shortcut keys F8 & F7 respectively). Draft IT remembers the last used setting.


Relative co-ordinate Input

The 'Relative co-ordinate input' feature allows as quick and easy way to specify co-ordinate positions relative to existing geometry. This feature is invoked by holding down the CTRL key (Control) This feature is available when starting a specific list of Draft IT commands as follows:

Line, Arc, Circle, Rectangle, Text, Move, Copy, Rotate, Stretch, Modifying Entity Handles

To use this feature simply position the cursor over an available snap point (for one second) and hold down the CTRL key. As you move the cursor of the snap point the X, Y input will be activated ( the CTRL key can be released) with that point set as the new relative point. The F8 shortcut key or the [image] and [image] buttons can be used to toggle between X, Y and Polar input. The dynamic dimensions can now be used to assist positioning of the next point. If you want to change the relative point simply select the Snap button [image] (or hit F7) and repeat the above procedure over the required point.

Example

This example shows how to draw a line where the first point is a set distance from an existing point. We need to draw a line 10mm in X and zero in Y from the top right hand corner of the rectangle.

The picture sequence below explains the procedure.

After 'Relative co-ordinate input' has been used Draft IT sets the Input Option as Snap (F7).


Force Angle

In a number of drawing functions it is possible to hold down the SHIFT key to force the cursor to snap to the nearest 45° (where zero degrees is at 3 o'clock). In a command where a first point has been set such as when drawing a line, simply hold down the SHIFT key and the dynamic line snaps between 45° increments. This key can be used regardless of the current input option (X, Y, Polar, Snap). This option is particularly useful when orthogonal drawing is required i.e 0° & 90° angles can be easily achieved.

Note:
1) This function is overridden when Snap is set and the cursor passes over an available Snap point. The cursor will jump from the forced angle to the Snap point, similarly as soon as the cursor moves away from the Snap point it will jump back to the forced angle.

2) This function does not work when the Grid is ON.


Use the Properties Toolbar

Draft IT uses a 'Properties Toolbar' which displays the settings of the item being drawn or modified. Therefore the appearance of the toolbar changes depending on the item being drawn/modified, examples are shown below.

All of the values/options here are stored with the drawing. Effectively they are 'Global' settings within the drawing and apply to all new entities. For example whatever the current 'Line Style' is set to is the 'Line Style' for all items until it is changed. Similarly the current colour is the colour for all new entites, with one exception, as you can see from the toolbar it is possible to specify a separate colour for the text on dimensions.

The properties toolbar can be used to change an item(s). i.e. If any option/value on the toolbar is changed when items are in the Selection Set then Draft IT will prompt asking you to confirm the change to the property of the item(s) already selected. Regardless of the answer to the prompt the new value selected is set as current.

When modifying multiple entities only the colour and linestyle options will be displayed. i.e. They are generally the only properties common to all entities.

For a line/arc/circle

For text

For a dimension


Cancel a command

To cancel a command in Draft IT simply right click the mouse or hit the ESC key on the keyboard. In the majority of cases selecting another command would cancel the current operation, however there are exceptions to this such as drawing/modifying commands are not cancelled by Zoom functions.


Commands

The pull-down menus in Draft IT are as follows.

File

Edit

Draw

Modify

View

Settings

Help


File

The File Menu

The commands available on the 'File' pull-down menu are:-

New

Open

Save

Save As

Print

Print Preview

Print Options

Print Setup

Recent Document List

Exit


New
File | New (Shortcut keys: ALT+F, N or CTRL+N)
Previous Top Next

Clicking the [image] button will close the current drawing (if this drawing has changes that have not been saved then you will be prompted to either save the changes or cancel the command). The new drawing will be created with the default page settings.


Open
File | Open (Shortcut keys: ALT+F, O or CTRL+O)
Previous Top Next

There are a number of ways of opening an existing drawing; -

(a) Select the [image] button or File | Open (Shortcut keys: ALT+F, O or CTRL+O) and the current drawing will be closed (if this drawing has changes that have not been saved then you will be prompted to either save the changes or cancel the command). A standard file dialog box will be displayed. Navigate in the box to select the required drawing, once highlighted click on the open button.

(b) Using your 'Windows' explorer simply double-click on a Draft IT drawing. Draft IT will associate itself with files of this type on installation and therefore will start whenever one is selected. If Draft IT is already running another Draft IT window will start.


Save
File | Save (Shortcut keys: ALT+F, S or CTRL+S)
Previous Top Next

Clicking the Save [image] button saves the active drawing with its current file name, location and file format. i.e if the drawing already existed and has been modified it will be overwritten. If it is a new drawing you are prompted via the standard file dialog to save it, specifying the file name and location.


Save As
File | Save As (Shortcut keys: ALT+F, A)
Previous Top Next

Saves the active drawing allowing modification of the current file name and location if required. If these are left unchanged the existing file will be overwritten.


Print
File | Print (Shortcut keys: ALT+F, P or CTRL+P)
Previous Top Next

Clicking the Print [image] button presents a standard print dialog box allowing you to select which printer to print to. The print properties available vary with the installed printer type and printer settings. You must refer to your printer manual for a definitive guide on these. However Draft IT has a number of print options, see Print Set-up.


Print Preview
File | Print Preview (Shortcut keys: ALT+F, V)
Previous Top Next

Clicking the Print preview [image] button to preview a print of the drawing based on the current printer and drawing settings.


Print Options
File | Print Options (Shortcut keys: ALT+F, R)
Previous Top Next

Select the Print Options command to display the following dialog box.

Two options can be set to control the scale.

'Scale To Fit' will fit the contents of the drawing to the sheet size selected in the Print Setup.

Alternatively selecting 'Actual Scale' allows one of the predefined scales or a user input scale to be selected. The drawing will be positioned with the absolute co-ordinate X0, Y0 at the bottom left hand corner of the printed sheet. The 'Centre On Page' option will re-position the drawing so that the centre is positioned at the centre of the printed sheet.


Print Setup
File | Print Setup (Shortcut keys: ALT+F, U)
Previous Top Next

This command presents a standard print dialog box allowing you to select which printer to print to and to modify the current print settings/preferences.


Recent Document Llist

Recent Document List
File | 1, 2, 3 & 4 (Shortcut keys: ALT+F, 1, 2, 3 or 4)
Previous Top Next

A list of the last four edited drawings are displayed here for quick selection.


Exit
File | Exit (Shortcut keys: ALT+F, X or CTRL+Q)
Previous Top Next

Clicking the button will close the current drawing (if this drawing has changes that have not been saved then you will be prompted to either save the changes or cancel the command) and exit Draft IT.


Edit

The Edit Menu

The commands available on the 'Edit' pull-down menu are:-

Undo

Redo

Cut Copy and Paste

Delete

Select All


Undo
Edit | Undo (Shortcut keys: ALT+E, U or CTRL+Z)
Previous Top Next

Select the [image] button to reverse the last action. It is possible to undo commands back to the start of the editing session of the drawing. Commands that can be undone include any that affect the appearance of an entity i.e. when creating, modifying, deleting or changing the properties. Commands excluded are settings and changes to the current zoom.

To reverse an undo action use Redo. Any entity creation or modification empties the Redo list, therefore care must be taken when executing multiple undo's as you will not be able redo some actions if any entity is created or altered. For example you could draw say fifty lines, if you then undo ten actions, the last ten lines will be undone. If you were then to modify any one of the remaining lines the Redo list will be emptied and the ten lines 'undone' will be lost.


Redo
Edit | Redo (Shortcut keys: ALT+E, R or CTRL+Y)
Previous Top Next

Select the [image] button to reverse the last Undo. Each time Undo is used Draft IT adds this action to the redo list, therefore it is possible to step back and forward through the drawing process. It is important to note that any entity creation or modification empties the Redo list.


Cut Copy and Paste

These commands can be selected from the Edit menu.

When Draft IT is not in a command, and the prompt reads 'Select Command or Item(s) to Modify' the cursor can be used to select items. Items selected are known as the selection set and can be copied to the clipboard using the Cut or Copy command. Copy leaves a copy of the entities in their original location, whereas Cut removes them.

The clipboard contents can then be re-inserted onto the same, or another drawing, using the Paste command. This can be done, as many times as required, until Cut or Copy commands are used again, in which case the contents of the clipboard will be overwritten.

You can also use these commands to transfer information in the clipboard to and from other Windows applications such as word processors or presentation applications.

Cut

Copy

Paste


Cut
Edit | Cut (Shortcut keys: ALT+E, T or CTRL+X)
Previous Top Next

This command is used to Cut the entities in the current selection set from the drawing and place them on the Windows clipboard. The selected entities are deleted from their current position and can be pasted into another drawing or windows application using the Paste command.


Copy
Edit | Copy (Shortcut keys: ALT+E, C or CTRL+C)
Previous Top Next

This option is used to Copy the entities in the current selection set on the drawing and place them on the Windows clipboard. These entities can then be pasted into another drawing or windows application using the Paste command.

It is important to note the differences between this command and the Copy command on the Modify menu.

1) This copy command uses the Windows clipboard, entities copied are available to Paste into other drawings and applications.

2) You cannot select an insertion reference point with this command, Draft IT picks the point.


Paste
Edit | Paste (Shortcut keys: ALT+E, P or CTRL+V)
Previous Top Next

If the Copy or Cut command have been used to place a selection set on the clipboard, then the Paste command can be used to insert the contents of the clipboard into the current drawing.

When used the clipboard contents are attached to the cursor and can be placed on the drawing using any of the snaps and input options. Only Draft IT entities and text from other applications may be pasted. If text is pasted into the drawing from another application, Draft IT places this text in a new text string using the current text properties.


Delete
Edit | Delete (Shortcut keys: ALT+E, D or press the DEL or Delete key)
Previous Top Next

Click this command or press the 'Delete' or 'Del' keyboard button to delete an item or items on the drawing. This command is not available until a selection set is present. i.e. you must pre-select the item(s) to delete before selecting the delete command.


Select All
Edit | Select All (Shortcut keys: ALT+E, S or CTRL+A)
Previous Top Next

Use this command to select all of the entities in the entire drawing regardless of the current zoom view.


Draw

The Draw Menu

The commands available on the 'Draw' pull-down menu are:-

Arc

Circle

Line

Rectangle

Text

Linear Dimension

Diameter Dimension

Radial Dimension

Angular Dimension

Leader Arrow

Double Ended Arrow


Arc
Draw | Arc (Shortcut keys: ALT+D, A)
Previous Top Next

Select the 'Draw Arc' button [image] and the command prompt reads:

Give Centre Point:

Select the centre point of the arc using any of the snaps and input options.

After selecting the point a dynamic line is drawn from it to the cursor. This line is defining the radius of the arc and a dynamic circle is drawn around the centre point through the cursor position allowing you to visualise the size of the arc. The prompt now reads:

Give Start Point:

Select the start point of the arc using any of the snaps and input options.

After selecting the point the dynamic line continues to be drawn from the centre point to the cursor. However the radius and the start angle of the arc are now fixed . As you move the cursor a dynamic arc is drawn in an anti-clockwise direction from the start point around the centre point to the cursor.

The prompt now reads:

Give End Point:

Select the end point of the arc using any of the snaps and input options. The arc is now drawn.


Circle
Draw | Circle (Shortcut keys: ALT+D, C)
Previous Top Next

Select the 'Draw Circle' button [image] and command prompt reads:

Give Centre Point:

Select the centre point of the circle using any of the snaps and input options.
After selecting the point a dynamic line is drawn from it to the cursor. This line is defining the radius of the circle and a dynamic circle is drawn around the centre point through the cursor position allowing you to visualise the size of the circle. The prompt now reads:

Give Radius Point:

Select a point on the circle circumference using any of the snaps and input options. The circle is now drawn.

The 'circle' is stored on the drawing as an arc and is edited as an arc. See Modifying/Moving an Arc.

In the simulation here simply click two points to draw a circle and a third to clear the circle and draw again. We have added a few lines and arcs to snap to. Please note not all snaps are available in this simulation. You can set the snaps and input options to X, Y, Polar or to Snap).


Line
Draw | Line (Shortcut keys: ALT+D, L)
Previous Top Next

Use this command to draw a single line or series of lines.

Select the 'Draw Line' button [image] and command prompt reads:

Give Start Point:

Select the first end point of the line using any of the snaps and input options. A dynamic line will be drawn from this point to the cursor. The prompt now reads:

Give Next Point:

When a second point is indicated using any of the snaps and input options the line is drawn between the two points selected and the dynamic line is now drawn from the second point to the cursor.

Further points can now be selected to continue to draw lines 'end' to 'end'. Right click the mouse to cancel the command.

In the simulation here simply click two points to draw a line and a third to clear the line and draw again. We have added a few lines and arcs to snap to. Please note not all snaps are available in this simulation. You can set the snaps and input options to X, Y, Polar or to Snap.


Rectangle
Draw | Rectangle (Shortcut keys: ALT+D, G)
Previous Top Next

Use this command to draw a rectangle giving opposite corner points.

Select the 'Draw Rectangle' button [image] and the command prompts:

Give Start Point:

Select the first corner point of the rectangle using any of the snaps and input options. A dynamic rectangle will be drawn from this point to the cursor. The prompt now reads:

Give Opposite Corner Point:

Select the opposing corner of the rectangle using any of the snaps and input options. The rectangle is now drawn.

In the simulation below simply click two points to draw a rectangle and a third to clear the rectangle and draw again. We have added a few lines and arcs to snap to. Please note not all snaps are available in this simulation. You can set the snaps and input options to X, Y, Polar or to Snap.


Text
Draw | Text (Shortcut keys: ALT+D, T)
Previous Top Next

Select the 'Draw Text' button [image] and the text entry window appears. Draft IT draws the outline of the text string font. To view the 'filled' text use the Print Preview function.

Type the text required into the window and click 'OK' to continue. (Clicking 'Cancel' will exit the text window and any text created or changes made will be lost.) The command prompt reads:

Give Text Point:

The new text string can now be placed on the drawing using any of the snaps and input options. At this point the text is attached to the cursor and the properties toolbar shows the current text properties.

The text properties are as follows:-

Colour This is the colour of the text entity. (Only the font outline is displayed)

Line Style This setting does not apply to text

Font The font face of the text, the list comprises fonts found on the computer by Draft IT

Height The height of the text string in the current Units

Rotation The text can be rotated using this value. Measured anti-clockwise from the '3 O'clock' position.

Width This is a scale value for the width. The text width is adjusted by this factor .i.e 0.5 would compress the width by half, 2.0 would stretch the string to double width

Horizontal This is the horizontal alignment for placement of the text string. Left, Centre or Right can be selected.

Vertical This is the vertical alignment for placement of the text string. Bottom, Centered or Top can be selected.

Style Bold and Italic style options are available for each text string.


Dimensions

There are six Draft IT dimension types as follows:-

Linear, Diameter, Radial, Angular, Leader Arrow, Double Ended Arrow

There is a different method of operation for each type, use the links above to review.

Each of these dimensions is created and modified with the following properites toolbar.

The dimension properties are as follows:-

Colour This is the colour of all of the dimension elements except the text.

Line Style This setting does not apply to dimensions

Text Colour This is the colour of all of the dimension text

Font The font face of the text, the list comprises fonts found on the computer by Draft IT

Height The height of the text string in the current Units

Gap The distance from the dimension line to the text string in the current Units

Rounding When switched on allows an rounding setting for an individual dimension overriding the precison setting in the system units.

Terminator The type of dimension terminator, the choices are arrow, oblique & dot

Length The length/size of the terminator in the current Units

Offset The distance from the dimension point to the leader line in the current Units

Extension The distance the dimension leader extends beyond the dimension line in the current Units

Prefix A user deined text string inserted before the dimension value

Suffix A user deined text string inserted after the dimension value

Leaders Two switches control the visibility of the leader lines. Button '1' is for the first leader, Button '2' is for the second leader

Dimension values are displayed using the current units. It is possible to change units whilst drawing and all dimension values automatically update. The precison of all dimensions is adjusted to maintain the the accuracy of the dimension values i.e. if the units are changed from millimetres to centimetres the precision increases by one decimal place. Eg the precision would be changed from 0.01 to 0.001.


Linear Dimension
Draw | Linear Dimension (Shortcut keys: ALT+D, D)
Previous Top Next

This command creates a linear dimension between two points. This dimension can be Horizontal, Vertical or Aligned depending upon the cursor position when picking the third point.

Select the 'Linear Dimension' button [image] and the properties toolbar changes to show the current dimension settings. You can change any of these settings whilst you are creating the dimension. The command prompt reads:

Give First Point:

Select the first point to dimension using any of the snaps and input options. A dynamic line will be drawn from this point to the cursor. The prompt now reads:

Give Second Point:

Select the second point to dimension using any of the snaps and input options. Draft IT now creates a dynamic dimension attached to the cursor and the prompt reads:

Give Dimension Position:

Select the position of the dimension using any of the snaps and input options. The position of this point relative to the two previous points controls the dimension orientation.

This simulation demonstrates the relationship between the dimension points (in this case the two circle centres) and the dimension line position. Move the cursor around to and see how the cursor position affects the proposed dimension. We have labelled the four dotted lines to help the description

You will see that if the cursor is between A & B, then the dimension is always horizontal.

A vertical dimension is achieved when the cursor is between C & D but not A & B (i.e. the centre square).

When the cursor is in any of the 4 corners the dimension is aligned to the two points. (i.e. If the cursor is not between the points in both the X (horizontal) & Y (vertical) axis.

The dimension text is always placed centrally between the two dimension points except when it is an aligned dimension and the dimension position is outside of the two points (top left and bottom right corners).

Once placed on the drawing the dimension text position can be changed by modifying the dimension entity handles.


Diameter Dimension
Draw | Diameter Dimension (Shortcut keys: ALT+D, I)
Previous Top Next

This command creates a diameter dimension for an arc or circle. Select the 'Diameter Dimension' button [image] and the properties toolbar changes to show the current dimension settings. You can change any of these settings whilst you are creating the dimension. The command prompt reads:

Give Arc/Circle:

Click on the arc or circle to dimension. The diameter dimension is now attached to the cursor displaying the dimension. The command prompt reads:

Give Dimension Position:

As you move the cursor the dimension slides around. You will see that if the cursor positon is outside the circle then the dimension line extends to the cursor position and the dimension text is orientated horizontally. If the cursor is inside the circle the dimension text is always parallel to and centred on the dimension line. Simply click to accept the position of the dimension.

Once in place the dimension can be modified if required. i.e you can change its position or properties.

In the simulation here you can remove the dimension by simply clicking any point. In Draft IT click on the dimension and press the Delete button.position


Radial Dimension
Draw | Radial Dimension (Shortcut keys: ALT+D, R)
Previous Top Next

This command creates a radial dimension for an arc or circle. Select the 'Radial Dimension' button [image] and the properties toolbar changes to show the current dimension settings. You can change any of these settings whilst you are creating the dimension. The command prompt reads:

Give Arc/Circle:

Click on the arc or circle to dimension. The radial dimension is now attached to the cursor displaying the dimension. The command prompt reads:

Give Dimension Position:

As you move the cursor the dimension slides around and will flip outside/inside the arc/circle accordingly. You will see that the dimension line extends to the cursor position so it is possible to create the dimension in any position. Simply click to accept the position of the dimension.

Once in place the dimension can be modified if required. i.e you can change its position or properties.

In the simulation here you can remove the dimension by simply clicking any point. In Draft IT click on the dimension and press the Delete button.


Angular Dimension
Draw | Angular Dimension (Shortcut keys: ALT+D, N)
Previous Top Next

This command creates an angular dimension between 3 points. The dimension always measures the angle counter-clockwise from the 1st point to the 3rd point with the 2nd point being the corner of the angle.

Select the 'Angular Dimension' button [image] and the properties toolbar changes to show the current dimension settings. You can change any of these settings whilst you are creating the dimension. The command prompt reads:

Give First Point:

Select the first point of the line using any of the snaps and input options. A dynamic line will be drawn from this point to the cursor. The prompt now reads:

Give Corner Point:

Select the second point of the line using any of the snaps and input options. The angular dimension is drawn from the line between this point and the 1st point to the cursor. The prompt now reads:

Give Second Point:

Select the second point of the line using any of the snaps and input options. The measurement of the angle is now complete and only the position of the dimension is required. The prompt now reads:

Give Dimension Position:

Select the position of the dimension using any of the snaps and input options. The dimension will be drawn and is complete.

The example below shows how the order with which the points are selected dictates the dimension appearance.


Leader Arrow
Draw | Leader Arrow (Shortcut keys: ALT+D, W)
Previous Top Next

This creates a leader arrow between two points. Select the 'Leader Arrow' button [image] and the properties toolbar changes to show the current dimension settings. You can change any of these settings whilst you are creating the dimension. The command prompt reads:

Give Arrow Point:

Select the position for the point of the arrow using any of the snaps and input options. The leader arrow will be drawn with the arrow head attached to this point with the other end attached to the cursor. The prompt now reads:

Give End Point:

Select the other end of the arrow using any of the snaps and input options.


Double Ended Arrow
Draw | Double Ended Arrow (Shortcut keys: ALT+D, O)
Previous Top Next

This creates a double ended arrow between two points. Select the 'Double Ended Arrow' button [image] and the properties toolbar changes to show the current dimension settings. You can change any of these settings whilst you are creating the dimension. The command prompt reads:

Give Arrow Point:

Select the position for the first end of the arrow using any of the snaps and input options. The double ended arrow will be drawn from this point with the other end attached to the cursor. The prompt now reads:

Give Second Arrow Point:

Select the other end of the double ended arrow using any of the snaps and input options.


Modify

The Modify Menu

The commands available on the 'Modify' pull-down menu are:-

Move

Copy

Mirror

Rectangular Array

Polar Array

Rotate

Scale

Stretch

Trim/Extend

Offset

Fillet

Chamfer


Move
Modify | Move (Shortcut keys: ALT+M, O)
Previous Top Next

Click this button [image] to move an item or items on the drawing. This command is not available until a selection set is present. i.e. you must pre-select the item(s) to move before selecting the move command.

The difference between moving items using this command and moving items using entity handles is that you can specify a reference point rather than it being one of the major (red) handle selected. In the picture shown to the right you can choose the reference point using any of the snaps and input options . This point could be for example an endpoint on an entity not being moved.

Once you have selected the item(s) to move select the move command and the prompt reads.

Give Reference Point:

Now select a reference point using any of the snaps and input options. This is the point by which the selected item(s) are attached to the cursor and by which the item(s) are moved around the drawing. Any point/position can be used here but it makes sense to use one that has some relevance to the selected item(s).

The prompt now reads:

Give Point To Move To:

A dynamic line is attached to the cursor and Draft IT previews the move results based on the current cursor position.

Now select the target position using any of the snaps and input options to define where the items are to be moved to. (Hold down the CTRL key to create a copy of the selected items).

The move operation is now complete. The original items remain selected for further manipulation. To cancel the selection see clearing the selection set.


Copy
Modify | Copy (Shortcut keys: ALT+M, C)
Previous Top Next

Click this button [image] to copy an item or items on the drawing. This command is not available until a selection set is present. i.e. you must pre-select the item(s) to copy before selecting the copy command.

It is important to note the differences between this command and the Copy command on the Edit menu.

1) This copy command can only copy Draft IT entities within the current drawing.

2) You can select an insertion reference point with this command, making positioning of the copy easier.

Once you have selected the item(s) to copy select the copy command and the prompt reads.

Give Reference Point:

Now select a reference point using any of the snaps and input options. This is the point by which the selected item(s) are attached to the cursor and by which the item(s) are moved around the drawing. Any point/position can be used here but it makes sense to use one that has some relevance to the selected item(s).

The prompt now reads:

Give Point To Copy To:

A dynamic line is attached to the cursor and Draft IT previews the copy results based on the current cursor position.

Now select the target position using any of the snaps and input options to define where the new copied items are to be located.

The copy operation is now complete. The original items remain selected for further manipulation. To cancel the selection see clearing the selection set.


Mirror
Modify | Mirror (Shortcut keys: ALT+M, M)
Previous Top Next

Click this button [image] to create a mirror image of a drawing entity or entities. This command is not available until a selection set is present. i.e. you must pre-select the item(s) to mirror before selecting the mirror command.

Once you have selected the item(s) to mirror select the button and the prompt reads.

Give First Point For Mirror Line:

Indicate the first point on the mirror line using any of the snaps and input options.

After selecting this point the prompt reads.

Give second Point For Mirror Line:

A dynamic mirror line is attached to the cursor and Draft IT previews the mirror results based on this line.

Select the other end of the mirror line using any of the snaps and input options.

The mirror operation is now complete. The original items remain selected for further manipulation. To cancel the selection see clearing the selection set.


Rectangular Array
Draw | Rectangular Array (Shortcut keys: ALT+M, Y)
Previous Top Next

Click on this button [image] create a rectangular array. This command is not available until a selection set is present. i.e. you must pre-select the item(s) to array before selecting the array command.

Once you have selected the item(s) to array select the button and the prompt reads:

Give Reference Point:

Now select a reference point using any of the snaps and input options. This is the point by which the array offset distances are measured, any point/position can be used here but it makes sense to use one that has some relevance to the selected item(s).

The prompt now reads:

Give point to Array to:

The system toolbar changes to display the snaps and input options. Similar to the following (depending upon the last use).
The Properties Toolbar changes to display three additional options, 'No.X', 'No.Y' and 'Rotation' as follows.

Each time the Draft IT program is started the values for these three fields default to 2, 2 & 0 respectively, subsequently they retain the values last used. These values are 'No.X' (number of copies in the X axis, 'columns'), 'No.Y' (number of copies in the Y axis, 'Rows') and 'Rotation' (rotation of the array). This rotation is applied to the array i.e. it is the angle that the X & Y axis is tilted through, however this angle is not applied to the selection set entities, each copy of the entities remains in the original orientation.

The spacing of the array copies is controlled by the distance from the 'Reference Point' to the cursor. A dynamic line is drawn between these positions and as the mouse is moved multiple copies ('No.X' & 'No.Y') of the selection set will also move dynamically. The position of this 'point to array to' can be specified using any of the snaps and input options . Most commonly as it is a rectangular array the X, Y input option would be used to specify the distances between the rows and columns.

In both examples below 'No.X' & 'No.Y' are set to 2 therefore the array will comprise 2 columns and 2 rows, the spacing in both X & Y is set to 50. However the left hand array the rotation angle is 0 whilst the example to the right the rotation is 15º. As you can see the X & Y axis of the array is tilted through this angle but the entities remain in their original orientation.


Polar Array
Draw | Polar Array (Shortcut keys: ALT+M, P)
Previous Top Next

Click on this button [image] to create a polar array. This command is not available until a selection set is present. i.e. you must pre-select the item(s) to array before selecting the array command.

Once you have selected the item(s) to array select the button and the Properties Toolbar changes to display two additional options, 'No.' and 'Rotate Copies' as follows.

'No.' refers to the number of copies required in the array. 'Rotate Copies' when switched OFF forces each copy of the selection set to maintain the original orientation. When switched ON each instance is rotated to maintain alignment to the circumference. See the examples below.

The prompt reads:

Give Centre Point of Array:

Now select the centre point of the array using any of the snaps and input options. This is the point by which the items in the array are rotated around.

The system toolbar changes to display the snaps and input options. Similar to the following (depending upon the last use).

The prompt now reads:

Give Reference Point:

A dynamic line is drawn from the centre point to the cursor position, this dynamic line represents the start angle of the array. This therefore is where the array angle is measured from. Select the reference point using any of the snaps and input options.

If 'Rotate Copies' is OFF then this point is also a control point for the array. i.e. this point is effectively rotated and the arrayed objects maintain there relative position to the rotated point. See examples below.

The prompt now reads:

Give point to Array to:

This point defines the end angle of the array. As the cursor is moved a number of copies (specified by the 'No.' option) are dynamically drawn. The spacing between the objects is controlled by the angle between the two previous points and the cursor position. Select the point to array to using any of the snaps and input options. The array is now complete.

The following examples shows the different effects that various options have on the polar array function. Each example has the same original object to array and the same centre point for rotation.

For this first example 'Rotate Copies' was switched ON, 'No.' of copies is set to 6. After picking the reference point the Polar input option was selected and 60 was entered into the angle field.

This next example is identical to the previous one except that 'Rotate Copies' was switched OFF. See how the reference point is rotated and the arrayed objects maintain there relative position to the rotated point.

This next example is exactly as the previous one except for a different reference point.


Rotate
Modify | Rotate (Shortcut keys: ALT+M, R)
Previous Top Next

Click this button [image] to rotate an item or items on the drawing. This command is not available until a selection set is present. i.e. you must pre-select the item(s) to rotate before selecting the rotate command.

Select the 'Rotate' command and the prompt reads:

Give Point To Rotate About:

This is the point about which the selected item(s) are rotated around. Any point/position can be used here but it makes sense to use one that has some relevance to the selected item(s).

and the prompt reads:

Give Reference Point To Rotate:

A dynamic line is drawn from the centre point to the cursor position. This dynamic line represents the start angle of the rotation. This therefore is where the rotation angle is measured from. Select the reference point using any of the snaps and input options.

Give Point To Rotate To:

Now select the position to rotate to, this defines the rotation angle, the polar input mode is automatically selected although any of the snaps and input options may be used. (Hold down the CTRL key to create a copy of the selected items).

The system displays a dynamic updating view of the items selected so that you can preview the effect of the rotation before accepting the angle.

Click to accept the angle or type the rotation angle directly into the Polar input box and the dynamic rotation dimension will be frozen to reflect this value. Click anywhere in the drawing area to accept this value or click the [image] locked button to release the dimension.
The rotate operation is now complete. The items remain selected for further manipulation. To cancel the selection see clearing the selection set.


Scale
Modify | Scale (Shortcut keys: ALT+M, E)
Previous Top Next

Click this button [image] to scale entities on the drawing. This command is not available until a selection set is present. i.e. you must pre-select the item(s) to scale before selecting the scale command.

Select the scale command and the prompt reads.

Give Reference Point:

Any of the Snap modes can be used to select this point which is used as a base or origin for the scale function. Select the point and the prompt now reads:

Give Reference Point to Scale:

Any of the Snap modes can be used to select this point which is used to set the base or starting scale factor. ( The original distance between this point and the reference point equals a scale factor of 1.) Select the point and the prompt now reads:

Give Scale:

As you move the cursor a dynamic line is displayed between the points and you will also see a dynamic representation of the shape adjusting accordingly. A this point the system toolbar changes to show the following two buttons.

One of these will be selected (depending upon the last setting).

When selected the Snap' button [image] allows selection of any the system snaps. Click the required point and the scale operation is complete. Alternatively:-
When selected the 'Scale Factor' button [image] allows you to input a scale factor into the input box displayed immediately to the right of the button. Type in the required value here and click into the drawing area to accept and the scale operation is complete.
Note: You will notice once a value has been typed in the value button is locked [image] and the dynamic representation of the shape reflects this scale factor regardless of the cursor position. You can over type or edit the value to change the scale. Alternatively click the 'locked' button to unlock the value and you will see the value and the dynamic shape once again update as the cursor is moved.


Stretch
Modify | Stretch (Shortcut keys: ALT+M, T)
Previous Top Next

This command uses a box to select the entities to stretch where entities totally enclosed in the box are simply moved and entities CROSSING the box will be stretched.

Click the stretch button [image], if any entities are already in the Selection Set they are deselected and the prompt reads:

Give first point of box to Stretch:

Select the first corner point of the selection box using any of the snaps and input options. (Generally this would be a screen position). The prompt now reads:

Give second point of box to Stretch:

As you move the cursor the a dynamic (dashed line) selection box is displayed. Select the second corner point of the box using any of the snaps and input options. (Generally this would be a screen position). The prompt now reads:

Give Reference Point:

Now select a reference point using any of the snaps and input options. This is the point by which the selected item(s) are attached to the cursor and by which they are moved/stretched around the drawing.

Give Point to Stretch To:

Now select a point to stretch to using any of the snaps and input options. The stretch operation is now complete.


Trim/Extend
Modify | Stretch (Shortcut keys: ALT+M, T)
Previous Top Next

This command modifies the length of a line or an arc by a given distance or to perpendicular point. This allows lines to be extended or to be trimmed back whilst maintaining the plane or angle of the line. Similarly arcs can be extended or trimmed back whilst maintaining the radius of the arc

Click the Trim/Extend button [image] if any entities are already in the Selection Set they are deselected and the prompt reads:

Give Arc/Line to Trim/Extend:

Select the line or arc near to the end to be modified.

Give Point to Trim/Extend to:
At this point the system toolbar changes to display either [image] [image] or [image] depending upon the last use. As the cursor is moved the line or arc length is adjusted to a point perpendicular from the entity to the cursor position. If Distance is set you can drag the cursor to the new position and click when the dynamic dimension displays the required adjustment, alternatively type the length directly into the input box and click anywhere in the drawing area to accept.


Offset
Draw | Offset (Shortcut keys: ALT+M, S)
Previous Top Next

Click this button [image] to create a copy of an entity at an offset distance. If any entities are already in the Selection Set they are deselected and the prompt reads:

Give Line/Arc/Circle to Offset:

Select the Line' Arc or Circle to create an offset from and the prompt now reads:

Give Point to Offset To:

As you move the cursor a dynamic offset moves parallel to the entity in line with the cursor. At this point the system toolbar changes to show the following two buttons.
One of these will be selected (depending upon the last setting).

When selected the Snap' button [image] allows selection of any the system snaps. Click the required point and the offset operation is complete. Alternatively:-
When the 'Distance' button [image] is selected a dynamic dimension showing the offset distance is displayed perpendicular to the existing entity and at the cursor position. Simply click to accept the current position or type in an offset distance into the input box displayed immediately to the right of the button and then click into the drawing area to accept. The offset will be drawn.
Note: You will notice once a value has been typed in the value button is locked [image] and the dynamic dimension is fixed by this value regardless of the cursor position. You can over type or edit the value to change the offset distance. Alternatively click the 'locked' button to unlock the value and you will see the value and the dynamic dimension and offset once again update as the cursor is moved.


Fillet
Draw | Fillet (Shortcut keys: ALT+M, L)
Previous Top Next

Click on the [image] button to create a fillet between two lines. If any entities are already in the Selection Set they are deselected and the prompt reads:

Give First Line To Fillet:

Select the first line which is changed to the highlight colour and the prompt reads:

Give Second Line To Fillet:

Select the second line which is changed to the highlight colour and the prompt reads:

Give Fillet Size:

Draft IT now displays a dynamic arc representing the fillet radius which moves in conjunction with the cursor. The size of the arc at this point is controlled by an imaginary line from the cursor to the nearest perpendicular position on either of the two lines. The system toolbar now displays additional options depending on previous use to either of the following.

Use Snap Enter Distance
or

You can change between the 'Snap' and 'Distance' buttons as required. If 'Snap' is selected any of the system Snaps can be used to specify the point to define the radius.

If 'Distance' is set the system displays a dynamic radial dimension, click in the drawing area to accept the current value. The increment of the dynamic dimension is controlled by the Linear 'Cursor increment' settings in the Units settings. You can type the fillet size directly into the distance input box and the dynamic radial dimension will be frozen to reflect this value. Click anywhere in the drawing area to accept this value or click the [image] locked button to release the dimension.

After defining the fillet size the fillet will be drawn with the lines trimmed depending on the setting of the 'Trim 1st Line' and 'Trim 2nd Line' options in the toolbar (see below). The default setting for both is ON.


Chamfer
Draw | Chamfer (Shortcut keys: ALT+M, H)
Previous Top Next

Click on the [image] button to create a chamfer between two lines. If any entities are already in the Selection Set they are deselected and the prompt reads:

Give First Line To Chamfer:

Select the first line which is changed to the highlight colour and the prompt reads:

Give Second Line To Chamfer:

Select the second line which is changed to the highlight colour and the prompt reads:

Give First Chamfer Size:

Now a dynamic line representing the chamfer moves in conjunction with the cursor. Draft IT requires a distance along each of the two lines to be input to create the chamfer. These distances can be entered in any order i.e it doesn't matter which entity was selected first, the position of the cursor controls the entity to which the distance will be applied.

In the example here the 'Distance' option is selected. If 'Snap' was selected the dynamic dimension would not be displayed.

The system toolbar now displays additional options depending on previous use to either of the following.

Use Snap Enter Distance
or

You can change between the 'Snap' and 'Distance' buttons as required. If 'Snap' is selected any of the system Snaps can be used to specify the chamfer point. If 'Distance' is set the system displays a dynamic linear dimension from the intersection point of the lines to the nearest perpendicular position on either of the two lines, click in the drawing area to accept the current value. (The increment of the dynamic dimension is controlled by the Linear 'Cursor increment' settings in the Units settings.) You can type the chamfer size directly into the distance input box and the dynamic linear dimension will be frozen to reflect this value. Click anywhere in the drawing area to accept this value or click the [image] locked button to release the dimension.

After selecting the first chamfer size the prompt reads:

Give Second Chamfer Size:

The above input options are available for selection of the second chamfer value, obviously at this point the position of the proposed chamfer is fixed on one of the lines and the cursor position is defining the position (perpendicular) on the other line.

After defining the chamfer size the chamfer will be drawn with the lines trimmed depending on the setting of the 'Trim 1st Line' and 'Trim 2nd Line' options in the toolbar (see below).

The easiest way to achieve a 45º chamfer is to selected the two lines, then select the 'Distance' option on the system toolbar. For the first chamfer distance type the required into the input box. As soon as you start to type the lock/unlock button will lock [image]. Click in the once in the drawing area to accept the value for the first size and click again to accept the value for the second size.


View

The View Menu

The commands available on the 'View' pull-down menu are:-

Entity Info

Zoom In

Zoom Out

Zoom Previous

Zoom Next

Zoom Window

Zoom Full Page

Zoom Extents

Refresh


Entity Info
View | Entity Info (Shortcut keys: ALT+V, E or CTRL+I)
Previous Top Next

This command is available for selection when a single entity is selected. For example click on a line (the line will high-light and the entity handles will be displayed) then pick this command and the entity info dialog box is displayed. The dialog reports the entity information as shown below using the current Units and Display Precision Settings. In the example below simply click on the entities in turn** and the dialog box displays the relevant information.

** In Draft IT to you would have to click the 'Close' button, select the next entity and reselect the command.


Zoom In
View | Zoom In (Shortcut keys: ALT+V, I)
Previous Top Next

Select the [image] button to zoom in to the current view by a factor of 2. This command will zoom to the centre of the current view. Using the Zoom Out or the Zoom Previous command can reverse this action.

If you have a wheel mouse the wheel can be used to zoom in by simply moving it forward a notch. This differs from the Zoom in command in that the mouse position is used as the zoom centre.


Zoom Out
View | Zoom Out (Shortcut keys: ALT+V, O)
Previous Top Next

Select the [image] button to zoom out from the current view by a factor of 2. This command will zoom to the centre of the current view. Using the Zoom In or the Zoom Previous command can reverse this action.

If you have a wheel mouse the wheel can be used to zoom out by simply moving it backward a notch. This differs from the Zoom out command in that the mouse position is used as the zoom centre.


Zoom Previous
View | Zoom Previous (Shortcut keys: ALT+V, P)
Previous Top Next

Select the [image] button to return to the previous view. You can continue to step back through all of the previous zooms in the current editing session. Having stepped back through a number of previous views Zoom Next will allow you to step forward again through the same views.


Zoom Next
View | Zoom Next (Shortcut keys: ALT+V, N)
Previous Top Next

If you have used the Zoom Previous command you can select the [image] button to return to the next view. You can continue to step forward through all of the zooms in the current editing session . Having stepped forward through a number of views Zoom Previous will allow you to step back again through the same views.


Zoom Window
View | Zoom Window (Shortcut keys: ALT+V, W or CTRL+W)
Previous Top Next

Select the [image] button to zoom in on a particular area of the drawing. You will be prompted for the first corner point, (Give First Point ), click to select this position. As you move the mouse a dynamic box will be displayed and you will be prompted to indicate the opposite corner of the zoom window, (Give next point ). Click to set this position and the system will then centre the selected zoomed view in the drawing window.


Zoom Full Page
View | Zoom Full Page (Shortcut keys: ALT+V, F)
Previous Top Next

Select the [image] button to view the full drawing sheet. The system will centre the drawing sheet. The area contained in this view is decided by the current Page Setup, and does not take account of any entities that may lie beyond this


Zoom Extents
View | Zoom Extents (Shortcut keys: ALT+V, X)
Previous Top Next

Select the [image] button to view the complete drawing. The system will calculate the extents of the drawing regardless of whether the extents are greater or smaller than the drawing sheet, and then centre the drawing. This command is particularly useful for checking whether there are any entities outside the drawing border or intended print area.


Refresh
View | Refresh (Shortcut keys: ALT+V, R)
Previous Top Next

Select the [image] button to refresh the current view. The refresh command is used to quickly update the system display list on the odd occasion that lines etc. appear to be broken after editing.


Settings

The Settings Menu

The commands available on the 'Settings' pull-down menu are:-

Page Setup

Units

Grid Settings

Display Settings


Page Setup
Settings | Page Setup (Shortcut keys: ALT+S, P)
Previous Top Next

Select the Page Setup command to display the following dialog box.

When a new drawing is created the above default settings are used. Any of these can be altered here to change the current drawing.

Size
In the Sheet Size list you can select from the following standard sizes. A0, A1, A2, A3, A4, A5, A6. The page can be set as either Landscape or Portrait. The horizontal and vertical dimensions of the selected sheet are displayed in the X and Y fields below the Sheet Size. A border representing the current sheet size can be switched on and off in the Display Settings dialog box. You can quickly adjust the current zoom to the selected size with the Zoom Full Page command.

Scale
In the Sheet Scale list you can select from a number of standard drawing scales. 100:1 through to 1:100. These X and Y boxes below the scale display the effective size of the drawing sheet determined by multiplying the X or Y size of the selected sheet multiplied by the sheet scale. e.g. If the scale in the box above was changed to 1:2 then the Effective Horizontal Size would be 594mm and the Effective Vertical Size would be 420mm.


Units
Settings | Units (Shortcut keys: ALT+S, U)
Previous Top Next

Select the Units command and the following dialog box will be displayed.

The dialog box has the following field options.

Linear

Units - Select from Millimetres, Centimetres, Metres, Decimal Inches, Fractional Inches, Decimal Feet / Inches, Fractional Feet / Inches
The units chosen are used for all linear input and dimension display.

Display Precision - This controls the precison of the values displayed in the X & Y input fields and on dynamic linear dimensions as the cursor is moved. It is also the default precison for linear dimensions. This precision maybe overriden on Individual dimensions by switching the dimension rounding on.

Cursor Increment - This rounds X and Y of the cursor position to the nearest increment.

Angular

Display Precision - This controls the rounding of the values displayed in the Angle & Length input fields, on dynamic angular dimensions as the cursor is moved.

Cursor Increment - This rounds the angle value of the cursor position to the nearest increment.


Grid Settings
Settings | Grid Settings (Shortcut keys: ALT+S, G)
Previous Top Next

Use this command to control the grid settings. On selecting the command the following dialog box appears.

Grid Type Set the grid display as either 'lines' or 'dots'

Grid On A toggle switch to turn the grid display on or off. Alternatively use the [image] button on the toolbar.

Visible Grid X & Y offset values for the spacing of the visible grid. This sets the distance between the visible grid points horizontally and vertically. The visible grid settings are totally independent of the snap grid, but can be set to the same values if required.

Snap Grid X & Y offset values for the spacing of the snap grid. This sets the distance between the snap grid points horizontally and vertically.

As shown in the dialog box above you can define the X and Y spacing independently for both grids.


Display Settings
Settings | Display Settings (Shortcut keys: ALT+S, D)
Previous Top Next

The Display Settings command displays the following dialog box.

There are four options to set here.

The Background Colour can be set as either black or white. When set to white snap symbols and captions are coloured blue and when set to black, snap symbols and captions are coloured yellow.

'The display of Snap Captions can be toggled ON and OFF. When switched ON an abbreviated snap description is placed next to the cursor i.e. 'End' for Endpoint. A full list of these abbreviations can be found on the snap topic page.

'The display of Sheet Border can be toggled ON and OFF. When switched ON a rectangle representing the current sheet size is displayed as a guide to the size of your selected drawing page, you must make sure that your printer setup is set accordingly to achieve the desired print.

The Entity Selection Limit for Handle Display sets a maximum number of entities that can be selected before the entity handle display is switched off. On selection of lots of entities it is possible that the system can slow down due to the drawing of all of the entity handles. You can set this value to suit your system capabilities. If this entity limit is exceeded the handles will not be displayed, however the entities would still be selected and highlighted.


Help

The Help Menu

The commands available on the 'Help' pull-down menu are:-

Help

Help Index

Draft IT PLUS

About Draft IT


Help
Help | Help (Shortcut keys: ALT+H, H or F1)
Previous Top Next

The help function can be accessed in three ways. Firstly you can select this command, secondly click the [image] button and finally the F1 key can be pressed. Any of these methods will go directly to the topic of the current Draft IT command. If no Draft IT command is selected i.e. if the prompt reads: Select Command or Item(s) to Modify then Draft IT will open this help system on the Introduction topic.


Help Index

Help Index (Shortcut keys: ALT+H, I)
Previous Top Next

Select this function to view the Introduction topic of the help file.


Draft IT PLUS
Help | Draft IT PLUS (Shortcut keys: ALT+H, D)
Previous Top Next

This is an information page for the enhanced version of Draft IT, Draft IT PLUS which can be purchased for a small additional cost. See CADlogic's website for details.

The additional features of Draft IT PLUS are:-

Import Load DXG and DXF files into Draft IT

Export Create DXG and DXF files from your Draft IT drawings

Ellipse Draw Ellipses

Area Fill Fill closed areas with solid colour

Hatch Add Hatching to closed areas

Insert Image Place raster (Bitmap) images onto Draft IT drawings

Insert Symbol Create symbols from all or part of drawings for insertion into others

Polyline Draw sequential lines which are then stored as one entity

Polygon Draw 'N' sided shapes

XY Snap Allows selection of X & Y points separately

Drawing Templates Save standard layouts and setting away as template files

Multiple document interface Open Multiple Draft IT drawings in one editing session. Copy & Paste between drawings

Line thickness Specify individual line thickness for display and printing

Layers Create and manage drawing layers with Draft IT

Selection Filters Function allowing selection of groups of entities by colour, linestyle, layer, type etc.

Enhanced Display Settings Various additional options relating to the Draft IT interface


About Draft IT
Help | About Draft IT (Shortcut keys: ALT+H, A)
Previous Top Next

This command opens a splash screen containing the Draft IT program version number, and links to the CADlogic Web site, including information about how Draft IT can be transformed into your own Custom CAD System.


Tutorials

This chapter contains drawing exercises designed to make you familiar with Draft IT drawing techniques.

Additional tutorials will be added. Check the CADlogic Website for updates. http://www.cadlogic.com/products/draftit.htm

Tutorial 1


Tutorial 1

This first tutorial guides you through the construction of the following drawing. The tutorial is broken down into small topics listed below and in the table of contents.

The method used to construct this drawing is designed to demonstrate a range of Draft IT commands with minimal co-ordinate entry from the keyboard.


T1 - Part1

Start Draft IT and select the 'Settings' pull down menu, and click on Page Setup.

We require an 'A4', 'Landscape' sheet with a scale of '1:1'. Match the settings to the left and click 'OK' to confirm and exit the dialog box.

Now select the [image] Grid toggle button and make sure the grid is switched OFF.

Now select the 'Settings' pull down menu again, and click on the Units command and click 'OK' when the settings match those to the left, ensuring the 'Linear' 'Cursor Increment' is set to '5.00'.

Switch on the 'Sheet Border' by selecting the 'Settings' pull down menu and then the Display Settings option. In the dialog make sure that 'Sheet Border' is switched ON below.


T1 - Part 2

Now we can start drawing. Select the Circle button [image]. The prompt reads:

Give Centre Point:

First we will draw the 110mm outer circle. Click a position approximately a quarter of the way across the sheet from the left and about half way up (as below). The prompt reads:

Give Radius Point:
Click on the X, Y button [image] so that we can position the radius point a fixed distance away from the centre. Now as you move the cursor you will see dynamic linear dimensions in the X & Y axis. Place the cursor so that the X dimension reads 55.00 and Y is zero. (The Y dimension will disappear when the value is zero). Click to accept and the first circle is drawn.


T1 - Part 3

Now will draw the 60mm diameter boss, the 40mm diameter inner bore and the 12mm diameter hole. The diagram here shows how these circles should appear. So select the Circle command again by clicking the [image] button, alternatively you can right click the mouse to repeat the last command. First the 60mm diameter circle. The prompt reads:

Give Centre Point:

Move the cursor toward the centre of the circle drawn and as the it passes over the circle centre the [image] symbol is displayed denoting that Draft IT has found the circle centre. Whilst this is displayed click to accept the position. The prompt reads:

Give Radius Point:

Draft IT has remembered that the X, Y [image] input option was used last time so this remains set for the next point. Drag the cursor to the right and click to accept when the X dimension reads 30.00 and the Y reads zero.

Now for the 40mm diameter circle, repeat the above procedure again select the existing centre point for the centre of the 40mm diameter circle and then drag the cursor to the right and click to accept when the X dimension reads 20.00 and the Y reads zero.

Now to draw the first 12mm diameter circle which is going to be the topmost hole 45mm (the PCD is 90mm) above the centre point of the existing circles. Here we can use the Draft IT Relative co-ordinate input feature to define this position.

Reselect the Circle command once more and move and hold the cursor over the existing centre point. Hold down the CTRL key and move the cursor up and the X, Y dynamic dimensions will be invoked (release the CTRL key). Click to confirm this point when the values read X0.00, Y45.00.

We now need to define the radius point 6mm away from the centre, however the Cursor Increment is set to 5mm. Rather than resetting this value to something more suitable we can type the values into the X & Y input fields. Hit the F8 key or click the X, Y button [image] and then double-Click in the X input field (the current value should highlight blue) and type '6' to replace it. Double-Click in the Y input field and type '0' to replace it. Now move the cursor anywhere in the drawing and click to accept. The 12mm circle should now be drawn.

You will have noticed that we had to select X, Y input to define the radius point on this last circle. whereas the previous two circles remembered this setting. This is because using the Relative co-ordinate input resets the last input type as Snap.


T1 - Part 4

Next we will add the vertical centre line, however this is going to be used to help us construct the side view of the flange. So for now we won't worry about the colour or linestyle or it's finished length, you will see that these things can be modified later.

Select the Line button [image] and the prompt reads:

Give Start Point:

Select the quadrant point snap at the bottom of the outer circle (Point 1 in the diagram). A dynamic line will be drawn from this point to the cursor. The prompt now reads:

Give Next Point:

Draft IT has remembered that the X, Y [image] input option was set when drawing the last circle so hit the F7 key or click the Snap button [image]. Now select the quadrant point snap at the top of the outer circle (Point 2 in the diagram). We will now use this line to start the side view.

If you wish you can 'right-click' the mouse to finish drawing lines. Alternatively selecting the next command would do the same.

Select the Offset button [image] and the prompt reads:

Give Line/Arc/Circle to Offset:

Select the 'Line 1' shown in the diagram and the prompt now reads:

Give Point to Offset To:

As you move the cursor a dynamic offset moves parallel to the 'Line 1'. The Input Option has been set to Distance and you will see a dynamic dimension between 'Line 1' and the dynamic offset. Click to place the new offset line 100mm to the right (as in the diagram - 'Line 2').


T1 - Part 5

We will use the Offset command a few more times to create a few more lines. Select the Offset button [image] again and the prompt reads:

Give Line/Arc/Circle to Offset:

Select the 'Line 1' shown in the diagram and the prompt now reads:

Give Point to Offset To:

This time move to the right and use the dynamic dimension to set new offset Distance as 15mm ('Line 2').

Repeat the Offset command again and repeat the above using 'Line 1' as the line to offset at a distance of 60mm (Line 3').

Now select the Line button [image]. Draft IT has remembered that the Snap button [image] input option was set when drawing the last line so there should be no need to alter the input setting. Draw three lines between the 'End' points at 'Points 1 & 2' and 'Points 3 & 4' and then at the 'Mid' Points at 'Points 5 & 6' as shown in the diagram. (Remember after drawing each line right click the mouse twice, firstly to stop drawing lines, secondly to call the line command again).

Repeat the Offset command again to create four more offset lines ('Lines 4, 5, 6 & 7') using the line between 'Points 5 & 6' as the line to offset at a distance of 20mm then 30mm to either side.


T1 - Part 6

Now we will use Entity Handles to Modify some of the lines. Make sure no command is selected, i.e. the prompt should read:

Select Command or Item(s) to Modify

If the prompt does not say this hit the ESC (Escape) key on the keyboard once. This should cancel any active command.

Select the rightmost vertical line and its Entity Handles are displayed. Click on the top blue handle (P1) and drag it back to the 'End' point at (P2) and click into place. The line remains selected so click on to the lower blue handle (P3), drag it back to the 'End' point at (P4) and click into place.

Select the line ('Line 1') in the next picture and drag handle at P1 back to the 'Int' (Intersection) at P2. Now click on 'Line 2' and drag the leftmost handle at P3 back to the 'Int' (Intersection) at P4.
Now click on 'Line 3' and drag the lower handle at P5 all the way back to the 'End' point at P2. We now need to add a line so select the Line button [image] and draw a line between the 'End' points at P4 and P5.

The side elevation should now look like the picture to the left.

Next we will add the remaining circles to the front elevation.


T1 - Part 7

Select the 12mm diameter circle. The Polar Array button [image] now becomes available. Select this and the prompt reads:

Give Centre Point of Array:
Before indicating the centre point change the 'No.' of value in the properties toolbar [image] from the default value of '4' to '8'

Now select the 'Mid' point of the vertical line or the 'Cen' point snap at the centre of the circles (P1). The prompt changes to:

Give Reference Point:

Select the 'Cen' point snap at the centre of the 12mm diameter circle (P2). The prompt changes to:

Give point to Array to:

Select the Polar input option [image] and enter 45 into the angle input field.

This has locked the angle to 45° and as you move the cursor back into the drawing area you will see the arrayed circles positioned correctly. Click anywhere to accept the position and complete the array.


T1 - Part 8

Lets add the 12mm hole geometry to the side elevation. We will use the Offset command to add the lines but first on the Properties Toolbar we will change the line style to 'Hidden'.

Simply click on the arrow on the line type field and from the drop down list pick the 'Hidden' line style.

Now select the 'Settings' pull down menu, and click on the Units command and set the 'Linear' 'Cursor Increment' to '1.00', then click 'OK'.

Select the Offset button [image] and the prompt reads:

Give Line/Arc/Circle to Offset:

Select the 'Line 1' shown in the diagram and the prompt now reads:

Give Point to Offset To:

The Input Option should be set to Distance. Click to place the new offset line 4mm below 'Line 1'.

Select the Offset button [image] again or press 'ESC' to repeat the command.

Select the 'Line 1' once more and click another line into place 16mm below 'Line 1'.

Repeat the above process to create two more lines representing the lower 12mm hole placing them 4mm and 16mm above 'Line 2'.

Click on 'Line 3' so that its Entity Handles are displayed. Now hold down the CTRL key and click on 'Line 4'. Both of these lines should now be selected. Now click on the arrow on the line style field and from the drop down list pick the 'Hidden' line style. Draft IT ask you to confirm that you wish to change the line style of the current selection, click on 'Yes'.

The side elevation should now look as follows.


T1 - Part 9

Click on 'Line 1' in the next diagram so that its Entity Handles are displayed. Now hold down the CTRL key and click on the vertical centre line (in the front view). Both of these lines should now be selected.

Now click on the arrow on the 'Line Style' field and from the drop down list pick the 'Centre line' line type. Draft IT ask you to confirm that you wish to change the line style of the current selection, click on 'Yes'.

With the lines still selected click in the 'Colour' drop down list, pick the 'Red' and confirm the change by clicking 'Yes'.

We need to add centre lines to the 12mm holes in the side elevation. This is another opportunity to demonstrate the usefulness of the Relative co-ordinate input feature. Select the Line button [image] and position the cursor over the 'End' point at P1, now hold down the CTRL key and move the cursor to the left and down (release CTRL) until the X value reads '-5.00' and Y reads '-6.00', then click to accept. Now hit F8 to switch X, Y input on. Move to the right until X is '25.00' and Y is zero and click. Right -click to cancel line drawing and again to repeat the command.

Now position the cursor and hold down the CTRL key over the 'End' point at P2. Move the cursor left and up (release CTRL) until the X value reads '-5.00' and Y reads '6.00', then click to accept. Now hit F8 to switch X, Y input on. Move to the right until X is '25.00' and Y is zero and click. Right -click to cancel line drawing.

Now we will extend the centre line 'Line 1'. Select the Trim/Extend button [image] and the prompt reads:

Give Arc/Line to Trim/Extend:

We need to select the line near to the end to tbe modified so click on 'Line 1' near to P3. At this point the system toolbar changes to display either [image] [image] or [image] depending upon the last use. If not set make sure the Distance [image] option is picked. Drag the cursor to the right and click when the dimension reads '5.00'.

Right-click to repeat and click near to P4. We will extend this end right across the front elevation so drag to left until the dimension reads '165.00' and click.

Use this command again and extend the vertical centre line by 5mm at both ends. Your drawing should look like this.


T1 - Part 10

We just need a few more centre lines to add before moving on to the dimensions. Click on the vertical centre line so that its Entity Handles are displayed. Select the Rotate button [image] and the prompt reads.

Give Point To Rotate About:

Select the 'Cen' point (P1) and the prompt reads:

Give Reference Point To Rotate To:

Select the 'Cen' point (P2) and the prompt reads:

Give Point To Rotate To:

Now the polar input mode is automatically selected. Hold down the CTRL key (this creates a copy) and move the cursor to the LEFT and around until the angle dimension reads '45.0' and click. The new rotated line is now in place. The original line is still selected so right-click to repeat the command. This time select the same points but move the cursor to the RIGHT and around until the angle dimension reads '315.0' and click (remember to hold CTRL to copy).

Select the Circle button [image] and create a circle using P1 as the centre and P2 as the radius point. (If X, Y or Polar is set when positioning the radius point just hit F7.)


T1 - Part 11
Previous Top

Finally we can add the dimensions to complete this tutorial drawing. As you will see the diagram has a series of points which we will use to position the dimensions.

Select the Linear Dimension button [image] and the prompt reads:

Give First Point:
Select the 'End' point at P1. The prompt now reads:

Give Second Point:
Select the 'End' point at P2. The prompt now reads:

Give Dimension Position:
Select near to P3 to place the dimension.

Repeat the command to place linear dimensions between P1 & P5 positioned at P4, between P6 & P7 positioned at P8, between P5 & P9 positioned at P10.

Select the Diameter Dimension button [image] and the prompt reads:

Give Arc/Circle:
Click on the circle at P11.

Give Dimension Position:
Click at P12 to position the diameter dimension.

Repeat the command to place another diameter dimension on circle P13 positioned at P14.

Click on the linear dimension at P8, the entity handles are displayed and the Properties Toolbar changes to show all of the dimension settings. Click in the 'Prefix' field and hold down the ALT key then press 0216 then release the ALT key. This is the ASCII code for a diameter symbol, you will see the diameter symbol appear in the field. Click back in the drawing area and the dimension is updated and deselected.

Repeat this procedure for the linear dimension at P10.

Now click on the diameter dimension at P14. Click in the 'Suffix' field and enter:-

'_Equi-spaced_on_Ø80.00_PCD' (The '_' character represents a space. Use ALT 0216 as described before to get the diameter symbol.)

The drawing is complete and now should appear as at the start of the tutorial.


.topic 1001

Clicking the Print preview   button to preview a print of the drawing based on the current printer and drawing settings.

.topic 2006

If the Copy or Cut command have been used to place a selection set on the clipboard, then the Paste command can be used to insert the contents of the clipboard into the current drawing.

When used the clipboard contents are attached to the cursor and can be placed on the drawing using any of the snaps and input options. Only Draft IT entities and text from other applications may be pasted. If text is pasted into the drawing from another application, Draft IT places this text in a new text string using the current text properties.

.topic 3001

Select the 'Draw Arc' button   and the command prompt reads:

.topic 3002

Select the 'Draw Circle' button   and command prompt reads:

.topic 3003

Use this command to draw a single line or series of lines.

Select the 'Draw Line' button   and command prompt reads:

.topic 3004

Use this command to draw a rectangle giving opposite corner points.

Select the 'Draw Rectangle' button   and the command prompts:

.topic 3014

Select the 'Draw Text' button   and the text entry window appears. Draft IT draws the outline of the text string font. To view the 'filled' text use the Print Preview function.

Type the text required into the window and click 'OK' to continue. (Clicking 'Cancel' will exit the text window and any text created or changes made will be lost.) The command prompt reads:

Give Text Point:

The new text string can now be placed on the drawing using any of the snaps and input options. At this point the text is attached to the cursor and the properties toolbar shows the current text properties.

The text properties are as follows:-

Colour	This is the colour of the text entity. (Only the font outline is displayed)

Line Style	This setting does not apply to text

Font	The font face of the text, the list comprises fonts found on the computer by Draft IT

Height	The height of the text string in the current Units

Rotation	The text can be rotated using this value. Measured anti-clockwise from the '3 O'clock' position.

Width	This is a scale value for the width. The text width is adjusted by this factor .i.e 0.5 would compress the width by half, 2.0 would stretch the string to double width

Horizontal	This is the horizontal alignment for placement of the text string. Left, Centre or Right can be selected.

Vertical	This is the vertical alignment for placement of the text string. Bottom, Centered or Top can be selected.

Style	Bold and Italic style options are available for each text string.

.topic 3015

This command creates a linear dimension between two points. This dimension can be Horizontal, Vertical or Aligned depending upon the cursor position when picking the third point.

Select the 'Linear Dimension' button   and the properties toolbar changes to show the current dimension settings. You can change any of these settings whilst you are creating the dimension. The command prompt reads:

The dimension text is always placed centrally between the two dimension points except when it is an aligned dimension and the dimension position is outside of the two points (top left and bottom right corners).

Once placed on the drawing the dimension text position can be changed by modifying the dimension entity handles.

.topic 3020

This command creates a diameter dimension for an arc or circle. Select the 'Diameter Dimension' button   and the properties toolbar changes to show the current dimension settings. You can change any of these settings whilst you are creating the dimension. The command prompt reads:

.topic 3016

This command creates a radial dimension for an arc or circle. Select the 'Radial Dimension' button   and the properties toolbar changes to show the current dimension settings. You can change any of these settings whilst you are creating the dimension. The command prompt reads:

.topic 3017

This command creates an angular dimension between 3 points. The dimension always measures the angle counter-clockwise from the 1st point to the 3rd point with the 2nd point being the corner of the angle.

Select the 'Angular Dimension' button   and the properties toolbar changes to show the current dimension settings. You can change any of these settings whilst you are creating the dimension. The command prompt reads:

Give First Point:

Select the first point of the line using any of the snaps and input options.  A dynamic line will be drawn from this point to the cursor. The prompt now reads:

Give Corner Point:

Select the second point of the line using any of the snaps and input options.  The angular dimension is drawn from the line between this point and the 1st point to the cursor. The prompt now reads:

Give Second Point:

Select the second point of the line using any of the snaps and input options.  The measurement of the angle is now complete and only the position of the dimension is required. The prompt now reads:

Give Dimension Position:

Select the position of the dimension using any of the snaps and input options. The dimension will be drawn and is complete.

The example below shows how the order with which the points are selected dictates the dimension appearance.

.topic 3018

This creates a leader arrow between two points. Select the 'Leader Arrow' button   and the properties toolbar changes to show the current dimension settings. You can change any of these settings whilst you are creating the dimension. The command prompt reads:

Give Arrow Point:

Select the position for the point of the arrow using any of the snaps and input options. The leader arrow will be drawn with the arrow head attached to this point with the other end attached to the cursor. The prompt now reads:

Give End Point:

Select the other end of the arrow using any of the snaps and input options.

.topic 3019

This creates a double ended arrow between two points. Select the 'Double Ended Arrow' button   and the properties toolbar changes to show the current dimension settings. You can change any of these settings whilst you are creating the dimension. The command prompt reads:

Give Arrow Point:

Select the position for the first end of the arrow using any of the snaps and input options. The double ended arrow will be drawn from this point with the other end attached to the cursor. The prompt now reads:

Give Second Arrow Point:

Select the other end of the double ended arrow using any of the snaps and input options.

.topic 2007

Click this button   to move an item or items on the drawing. This command is not available until a selection set is present. i.e. you must pre-select the item(s) to move before selecting the move command.

The difference between moving items using this command and moving items using entity handles is that you can specify a reference point rather than it being one of the major (red) handle selected. In the picture shown to the right you can choose the reference point using any of the snaps and input options. This point could be for example an endpoint on an entity not being moved.

Once you have selected the item(s) to move select the move command and the prompt reads.

.topic 2001

Click this button   to copy an item or items on the drawing. This command is not available until a selection set is present. i.e. you must pre-select the item(s) to copy before selecting the copy command.

It is important to note the differences between this command and the Copy command on the Edit menu.

    1) This copy command can only copy Draft IT entities within the current drawing.

    2) You can select an insertion reference point with this command, making positioning of the copy easier.

Once you have selected the item(s) to copy select the copy command and the prompt reads.

.topic 2004

Click this button   to create a mirror image of a drawing entity or entities. This command is not available until a selection set is present. i.e. you must pre-select the item(s) to mirror before selecting the mirror command.

Once you have selected the item(s) to mirror select the button and the prompt reads.

.topic 2008

Click on this button   create a rectangular array. This command is not available until a selection set is present. i.e. you must pre-select the item(s) to array before selecting the array command.

Once you have selected the item(s) to array select the button and the prompt reads:

Give Reference Point:

Now select a reference point using any of the snaps and input options. This is the point by which the array offset distances are measured, any point/position can be used here but it makes sense to use one that has some relevance to the selected item(s).

The prompt now reads:

Give point to Array to:

The system toolbar changes to display the snaps and input options. Similar to the following (depending upon the last use).
The Properties Toolbar  changes to display three additional options, 'No.X', 'No.Y' and 'Rotation' as follows.

Each time the Draft IT program is started the values for these three fields default to 2, 2 & 0 respectively, subsequently they retain the values last used. These values are 'No.X' (number of copies in the X axis, 'columns'), 'No.Y' (number of copies in the Y axis, 'Rows') and 'Rotation' (rotation of the array). This rotation is applied to the array i.e. it is the angle that the X & Y axis is tilted through, however this angle is not applied to the selection set entities, each copy of the entities remains in the original orientation.

The spacing of the array copies is controlled by the distance from the 'Reference Point' to the cursor. A dynamic line is drawn between these positions and as the mouse is moved multiple copies ('No.X' & 'No.Y') of the selection set will also move dynamically. The position of this 'point to array to' can be specified using any of the snaps and input options. Most commonly as it is a rectangular array the X, Y input option would be used to specify the distances between the rows and columns.

In both examples below 'No.X' & 'No.Y' are set to 2 therefore the array will comprise 2 columns and 2 rows, the spacing in both X & Y is set to 50. However the left hand array the rotation angle is 0 whilst the example to the right the rotation is 15º. As you can see the X & Y axis of the array is tilted through this angle but the entities remain in their original orientation.

.topic 2009

Click on this button   to create a polar array. This command is not available until a selection set is present. i.e. you must pre-select the item(s) to array before selecting the array command.

Once you have selected the item(s) to array select the button and the Properties Toolbar  changes to display two additional options, 'No.' and 'Rotate Copies' as follows.

'No.' refers to the number of copies required in the array. 'Rotate Copies' when switched OFF forces each copy of the selection set to maintain the original orientation. When switched ON each instance is rotated to maintain alignment to the circumference. See the examples below.

The prompt reads:

Give Centre Point of Array:

Now select the centre point of the array using any of the snaps and input options. This is the point by which the items in the array are rotated around.

The system toolbar changes to display the snaps and input options. Similar to the following (depending upon the last use).

The prompt now reads:

Give Reference Point:

A dynamic line is drawn from the centre point to the cursor position, this dynamic line represents the start angle of the array. This therefore is where the array angle is measured from. Select the reference point using any of the snaps and input options.

If 'Rotate Copies' is OFF then this point is also a control point for the array. i.e. this point is effectively rotated and the arrayed objects maintain there relative position to the rotated point. See examples below.

The prompt now reads:

Give point to Array to:

This point defines the end angle of the array. As the cursor is moved a number of copies (specified by the 'No.' option) are dynamically drawn. The spacing between the objects is controlled by the angle between the two previous points and the cursor position. Select the point to array to using any of the snaps and input options. The array is now complete.

The following examples shows the different effects that various options have on the polar array function.  Each example has the same original object to array and the same centre point for rotation.

.topic 2002

Click this button   to rotate an item or items on the drawing. This command is not available until a selection set is present. i.e. you must pre-select the item(s) to rotate before selecting the rotate command.

Select the 'Rotate' command and the prompt reads:

.topic 2003

Click this button   to scale entities on the drawing. This command is not available until a selection set is present. i.e. you must pre-select the item(s) to scale before selecting the scale command.

Select the scale command and the prompt reads.

.topic 2005

This command uses a box to select the entities to stretch where entities totally enclosed in the box are simply moved and entities CROSSING the box will be stretched.

Click the stretch button  , if any entities are already in the Selection Set they are deselected and the prompt reads:

.topic 2010

This command modifies the length of a line or an arc by a given distance or to perpendicular point. This allows lines to be extended or to be trimmed back whilst maintaining the plane or angle of the line. Similarly arcs can be extended or trimmed back whilst maintaining the radius of the arc

Click the Trim/Extend button   if any entities are already in the Selection Set they are deselected and the prompt reads:

Give Arc/Line to Trim/Extend:

Select the line or arc near to the end to be modified.

Give Point to Trim/Extend to:
At this point the system toolbar changes to display either     or   depending upon the last use. As the cursor is moved the line or arc length is adjusted to a point perpendicular from the entity to the cursor position. If Distance is set you can drag the cursor to the new position and click when the dynamic dimension displays the required adjustment, alternatively type the length directly into the input box and click anywhere in the drawing area to accept.

.topic 3013

Click this button   to create a copy of an entity at an offset distance. If any entities are already in the Selection Set they are deselected and the prompt reads:

.topic 3010

Click on the   button to create a fillet between two lines.  If any entities are already in the Selection Set they are deselected and the prompt reads:

Use Snap								Enter Distance
         or

You can change between the 'Snap' and 'Distance' buttons as required. If 'Snap' is selected any of the system Snaps can be used to specify the point to define the radius.

If 'Distance' is set the system displays a dynamic radial dimension, click in the drawing area to accept the current value. The increment of the dynamic dimension is controlled by the Linear 'Cursor increment'  settings in the Units settings. You can type the fillet size directly into the distance input box and the dynamic radial dimension will be frozen to reflect this value. Click anywhere in the drawing area to accept this value or click the   locked button to release the dimension.

After defining the fillet size the fillet will be drawn with the lines trimmed depending on the setting of the 'Trim 1st Line' and 'Trim 2nd Line' options in the toolbar (see below). The default setting for both is ON.

.topic 3011

Click on the   button to create a chamfer between two lines.  If any entities are already in the Selection Set they are deselected and the prompt reads:

Use Snap								Enter Distance
         or

You can change between the 'Snap' and 'Distance' buttons as required. If 'Snap' is selected any of the system Snaps can be used to specify the chamfer point. If 'Distance' is set the system displays a dynamic linear dimension from the intersection point of the lines to the nearest perpendicular position on either of the two lines, click in the drawing area to accept the current value. (The increment of the dynamic dimension is controlled by the Linear 'Cursor increment'  settings in the Units settings.) You can type the chamfer size directly into the distance input box and the dynamic linear dimension will be frozen to reflect this value. Click anywhere in the drawing area to accept this value or click the   locked button to release the dimension.

After selecting the first chamfer size the prompt reads:

Give Second Chamfer Size:

The above input options are available for selection of the second chamfer value, obviously at this point the position of the proposed chamfer is fixed on one of the lines and the cursor position is defining the position (perpendicular) on the other line.

After defining the chamfer size the chamfer will be drawn with the lines trimmed depending on the setting of the 'Trim 1st Line' and 'Trim 2nd Line' options in the toolbar (see below).

The easiest way to achieve a 45º chamfer is to selected the two lines, then select the 'Distance' option on the system toolbar. For the first chamfer distance type the required into the input box. As soon as you start to type the lock/unlock button will lock  . Click in the once in the drawing area to accept the value for the first size and click again to  accept the value for the second size.

.topic 4001

This command is available for selection when a single entity is selected. For example click on a line (the line will high-light and the entity handles will be displayed) then pick this command and the entity info dialog box is displayed. The dialog reports the entity information as shown below using the current Units and Display Precision Settings. In the example below simply click on the entities in turn** and the dialog box displays the relevant information.

** In Draft IT to you would have to click the 'Close' button, select the next entity and reselect the command.

.topic 4002

Select the   button to zoom in on a particular area of the drawing. You will be prompted for the first corner point, (Give First Point ), click to select this position. As you move the mouse a dynamic box will be displayed and you will be prompted to indicate the opposite corner of the zoom window, (Give next point ). Click to set this position and the system will then centre the selected zoomed view in the drawing window.

.topic 5002

Select the Page Setup command to display the following dialog box.

When a new drawing is created the above default settings are used. Any of these can be altered here to change the current drawing.

Size
In the Sheet Size list you can select from the following standard sizes. A0, A1, A2, A3, A4, A5, A6. The page can be set as either Landscape or Portrait.  The horizontal and vertical dimensions of the selected sheet are displayed in the X and Y fields below the Sheet Size. A border representing the current sheet size can be switched on and off in the Display Settings dialog box. You can quickly adjust the current zoom to the selected size with the Zoom Full Page command.

Scale
In the Sheet Scale list you can select from a number of standard drawing scales. 100:1 through to 1:100. These X and Y boxes below the scale display the effective size of the drawing sheet determined by multiplying the X or Y size of the selected sheet multiplied by the sheet scale.  e.g. If the scale in the box above was changed to 1:2 then the Effective Horizontal Size would be 594mm and the Effective Vertical Size would be 420mm.

.topic 5001

Select the Units command and the following dialog box will be displayed.

The dialog box has the following field options.

Linear

Units - 			Select from Millimetres, Centimetres, Metres, Decimal Inches, Fractional Inches, Decimal Feet / Inches, Fractional Feet / Inches
            The units chosen are used for all linear input and dimension display.

Display Precision -	This controls the precison of the values displayed in the X & Y input fields and on dynamic linear dimensions as the cursor is moved. It is also the default precison for linear dimensions. This precision maybe overriden on Individual dimensions by switching the dimension rounding on.

Cursor Increment -	This rounds X and Y of the cursor position to the nearest increment.

Angular

Display Precision -	This controls the rounding of the values displayed in the Angle & Length input fields, on dynamic angular dimensions as the cursor is moved.

Cursor Increment -	This rounds the angle value of the cursor position to the nearest increment.

.topic 5003

Use this command to control the grid settings. On selecting the command the following dialog box appears.

Grid Type	Set the grid display as either 'lines' or 'dots'

Grid On	A toggle switch to turn the grid display on or off. Alternatively use the   button on the toolbar.

Visible Grid	 X & Y offset values for the spacing of the visible grid. This sets the distance between the visible grid points horizontally and vertically. The visible grid settings are totally independent of the snap grid, but can be set to the same values if required.

Snap Grid	 X & Y offset values for the spacing of the snap grid. This sets the distance between the snap grid points horizontally and vertically.

As shown in the dialog box above you can define the X and Y spacing independently for both grids.

.topic 5004

The Display Settings command displays the following dialog box.

There are four options to set here.

The Background Colour can be set as either black or white. When set to white snap symbols and captions are coloured blue and when set to black, snap symbols and captions are coloured yellow.

'The display of Snap Captions can be toggled ON and OFF. When switched ON an abbreviated snap description is placed next to the cursor i.e. 'End' for Endpoint. A full list of these abbreviations can be found on the snap topic page.

'The display of Sheet Border can be toggled ON and OFF. When switched ON a rectangle representing the current sheet size is displayed as a guide to the size of your selected drawing page, you must make sure that your printer setup is set accordingly to achieve the desired print.

The Entity Selection Limit for Handle Display sets a maximum number of entities that can be selected before the entity handle display is switched off. On selection of lots of entities it is possible that the system can slow down due to the drawing of all of the entity handles. You can set this value to suit your system capabilities. If this entity limit is exceeded the handles will not be displayed, however the entities would still be selected and highlighted.

.topic 6001

This is an information page for the enhanced version of Draft IT, Draft IT PLUS which can be purchased for a small additional cost. See CADlogic's website for details.

The additional features of Draft IT PLUS are:-

Import 	Load DXG and DXF files into Draft IT

Export	Create DXG and DXF files from your Draft IT drawings

Ellipse	Draw Ellipses

Area Fill	Fill closed areas with solid colour

Hatch	Add Hatching to closed areas

Insert Image	Place raster (Bitmap) images onto Draft IT drawings

Insert Symbol	Create symbols from all or part of drawings for insertion into others

Polyline	Draw sequential lines which are then stored as one entity

Polygon	Draw 'N' sided shapes

XY Snap	Allows selection of X & Y points separately

Drawing Templates	Save standard layouts and setting away as template files

Multiple document interface	Open Multiple Draft IT drawings in one editing session. Copy & Paste between drawings

Line thickness	Specify individual line thickness for display and printing

Layers	Create and manage drawing layers with Draft IT

Selection Filters	Function allowing selection of groups of entities by colour, linestyle, layer, type etc.

Enhanced Display Settings	Various additional options relating to the Draft IT interface

.topic 6002

This command opens a splash screen containing the Draft IT program version number, and links to the CADlogic Web site, including information about how Draft IT can be transformed into your own Custom CAD System.